using Contracts.BindingModels;
using Contracts.SearchModels;
using Contracts.ViewModels;
using DataModels.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.BusinessLogicContracts
{
    public interface ISupplyLogic
    {
        List<SupplyViewModel>? ReadList(SupplySearchModel? model);
        SupplyViewModel? ReadElement(SupplySearchModel model);
        bool Create(SupplyBindingModel model);
        bool Update(SupplyBindingModel model);
        bool Delete(SupplyBindingModel model);
        bool StatusUpdate(SupplyBindingModel model, SupplyStatus status);
    }
}
